set doc off
set verify off
set serveroutput on size 1000000;

declare
    l_total_extracted	NUMBER;
	l_total_imported	NUMBER;
	l_func_id			VARCHAR2(100):='CAPGLREC_SOB';	
 
begin
   	SELECT COUNT(1) 
	INTO l_total_extracted
    from gl_sets_of_books
    where upper(short_name) = upper('&1');

  	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_GL_SETS_OF_BOOKS;

	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);
			

end;
/
--exit
